Skip to content

Get a zone security scenario

GET
/api/zones/{zoneId}/security/scenarios/{id}

Returns a single zone-owned scenario. Global ids and scenarios belonging to another zone return 404.

Authorizations

ApiToken

Long-lived API token created via POST /api/api-tokens (returned once in plaintext).

Type
API Key (header: X-API-TOKEN)
or
JWT

JWT access token obtained via POST /api/auth/login. Send as: Authorization: Bearer .

Type
HTTP (bearer)

Parameters

Path Parameters

zoneId*

Zone identifier

Type
string
Required
id*

security-scenario identifier

Type
string
Required

Responses

security-scenario resource

JSON
{
  
"@context": "string",
  
"@id": "string",
  
"@type": "string",
  
"id": "0193b3e2-6c1a-7f2a-9a1b-2d3e4f5a6b7c",
  
"name": "block-sql-injection",
  
"enabled": true,
  
"participationMode": "opt_out",
  
"testing": false,
  
"evaluationScope": "ip",
  
"definition": "name: block-sql-injection enabled: true testing: false scope: ip ",
  
"createdAt": "2026-07-01T09:30:00+00:00",
  
"updatedAt": "2026-07-01T09:30:00+00:00"
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI